Last Comment Bug 707792 - Port bug 549561 to Thunderbird to speed up mailbloat tests
: Port bug 549561 to Thunderbird to speed up mailbloat tests
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Testing Infrastructure (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 11.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-05 12:43 PST by Mark Banner (:standard8)
Modified: 2011-12-07 02:14 PST (History)
1 user (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
The fix (674 bytes, patch)
2011-12-05 12:43 PST, Mark Banner (:standard8)
jhopkins: review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Mark Banner (:standard8) 2011-12-05 12:43:52 PST
Created attachment 579139 [details] [diff] [review]
The fix

I noticed bug 549561 today. By making some changes in trace malloc, they speeded up the time to run the tests.

I've just made a similar modification and pushed to try server - the make mailbloat step on windows dropped from about 2 hours to 2 minutes.

The patch does this by picking up the environment that's defined by automation.py.in (which also picks up the global environment specified by buildbot), and in doing so we gain the NS_TRACE_MALLOC_DISABLE_STACKS preference which is what Firefox has done for its leak test builds.

This modifies the stackwalking in tracemalloc for things we don't need to do unless there's actually issues.

Try server runs all passed with this applied.
Comment 1 John Hopkins (:jhopkins) 2011-12-06 10:52:19 PST
Comment on attachment 579139 [details] [diff] [review]
The fix

r+ based on this working in try server
Comment 2 Mark Banner (:standard8) 2011-12-07 01:42:20 PST
This landed and worked: Windows debug builds are now around 30 - 80 mins, where as they were over three hours.
Comment 3 Mark Banner (:standard8) 2011-12-07 01:50:02 PST
Comment on attachment 579139 [details] [diff] [review]
The fix

I'm going to take this onto aurora and beta so we can reduce the time of builds there as well and help builder availability.

Note You need to log in before you can comment on or make changes to this bug.